캘린더 이벤트

GET /calendar-events
ListCalendarEvents

예정 및 과거 시장 이벤트(실적 발표, 경제 지표 발표, IPO, 상장, 투표, 청문회)를 전 세계 또는 특정 자산이나 주제에 대해 조회합니다. 유형, 상태, 1~3의 중요도, 관련 엔티티를 포함합니다. 기본값은 오늘 이후이며 가장 이른 것부터 정렬됩니다. 주목할 만한 이벤트만 보려면 min_importance_score=2를 보내세요.

파라미터 규칙:

  • asset_class와 asset_id를 함께 보내거나 둘 다 보내지 마세요.
  • subject_id는 asset_id 또는 asset_class와 함께 사용할 수 없습니다.

https://nebula-api.hiddensystems.ai/api/v1/x402/calendar-events에서 월렛 결제를 사용할 수 있습니다. Nebula 계정이나 API 키가 필요하지 않으며, 서명하기 전에 결제 제안을 확인하세요. x402 결제 가이드.

파라미터

asset_id string QUERY

/assets 또는 /search에서 가져온 자산 ID입니다(예: NVDA, GLD, SPX, bitcoin). 함께 반환된 asset_class와 같이 보내세요.

Example:NVDA

asset_class string QUERY

asset_id로 지정된 자산의 클래스입니다: equity(주식 및 ETF), commodity, index, crypto 중 하나입니다. /assets 또는 /search가 asset_id와 함께 반환한 asset_class를 보내세요.

허용 값
equitycommodityindexcrypto

Example:equity

subject_id string QUERY

/subjects 또는 /search가 반환하는 정규 비자산 식별자로, 예를 들어 text:jensen huang 또는 handle:elonmusk입니다. 대소문자를 구분하지 않고 허용됩니다. asset_id 또는 asset_class와 함께 사용할 수 없습니다.

Example:text:jensen huang

limit integer QUERY

반환되는 최대 결과 수.

Default:50

offset integer QUERY

건너뛴 결과 수.

Default:0

start_time_after string (date-time) QUERY

이 RFC3339 시각 이후에 시작하는 이벤트만 조회합니다. 무료 플랜은 90일 전까지만 조회할 수 있으며, 그보다 이전을 요청하면 403을 반환합니다.

Example:2026-08-01T00:00:00Z

start_time_before string (date-time) QUERY

이 RFC3339 시각 이전에 시작하는 이벤트만 조회합니다. 무료 플랜은 90일 전까지만 조회할 수 있으며, 그보다 이전을 요청하면 403을 반환합니다.

Example:2026-08-07T00:00:00Z

domains array<string> QUERY

이 도메인 중 하나에 속하는 이벤트를 유지합니다. 여러 개를 쉼표로 구분해 보내세요.

Example:equities,macro

event_types array<string> QUERY

이 유형 중 하나에 속하는 이벤트를 유지합니다. 여러 개를 쉼표로 구분해 보내세요.

Example:earnings,economic_release

statuses array<string> QUERY

이 상태 중 하나에 속하는 이벤트를 유지합니다. 여러 개를 쉼표로 구분해 보내세요.

Example:scheduled,postponed

min_importance_score integer QUERY

최소 중요도로, 1(낮음)부터 3(높음)까지입니다. 기본값은 1이며 모든 이벤트를 포함합니다.

Default:1

cURL 예제

curl --request GET \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/calendar-events' \
  --header 'X-API-Key: YOUR_API_KEY'

응답

200 OK
400 잘못된 요청
401 인증되지 않음
402 크레딧이 모두 소진됨. 응답에 갱신 시점과 구매한 크레딧 잔액이 포함됩니다.
403 금지됨
404 찾을 수 없음
405 허용되지 않은 메서드입니다. Allow 헤더에 지원되는 메서드가 나열됩니다.
429 요청이 너무 많음
500 내부 서버 오류
503 서비스 이용 불가

미디어 타입 application/json

calendar_events
array<object> 필수

제공된 필터와 일치하는 캘린더 이벤트입니다.

calendar_events[].calendar_event_id
string 필수

캘린더 이벤트의 안정적인 공개 식별자입니다.

calendar_events[].confidence_score
integer 필수

이벤트에 대한 신뢰도로, 1(낮음)부터 10(높음)까지입니다.

calendar_events[].created_at
string (date-time) 필수

레코드가 생성된 UTC 시각입니다.

calendar_events[].domains
array<string> 필수

레코드에 연결된 시장 또는 주체 도메인.

calendar_events[].end_time
string (date-time) 선택 사항

알려진 경우 이벤트 종료 UTC 시각입니다.

calendar_events[].entities
array<object> 필수

이 레코드에 연결된 자산 및 비자산 주체.

calendar_events[].entities[].asset_class
string 선택 사항

asset_id와 함께 전송되는 자산의 클래스.

허용 값
equitycommodityindexcrypto
calendar_events[].entities[].asset_id
string 선택 사항

주식, 원자재, 지수 또는 코인의 경우 자산 엔드포인트가 받는 asset_id이며, 인물, 계정, 토픽과 Nebula가 분류할 수 없는 드문 자산에는 없습니다.

calendar_events[].entities[].confidence
number (float) 선택 사항

가능한 경우 엔티티 연결 신뢰도입니다.

calendar_events[].entities[].entity_id
string 필수

eq:NVDA, gecko:1, text:ai 등 연결된 엔티티에 대한 Nebula의 id입니다. 엔티티를 쿼리하려면 같은 객체의 asset_id와 asset_class, 또는 subject_id를 사용하세요.

calendar_events[].entities[].is_primary
boolean 필수

이것이 레코드의 기본 연결 엔티티인 경우 true입니다.

calendar_events[].entities[].name
string 필수

사람이 읽을 수 있는 이름입니다.

calendar_events[].entities[].role
string 필수

연결된 엔티티와 캘린더 이벤트의 관계입니다.

calendar_events[].entities[].subject_id
string 선택 사항

인물, 계정 또는 토픽의 경우 주체 인식 엔드포인트가 받는 subject_id이며, 자산에는 없습니다.

calendar_events[].event_metadata
object 선택 사항

이벤트 유형별 구조화 메타데이터입니다. 키는 이벤트 유형에 따라 달라집니다.

calendar_events[].event_subtype
string 선택 사항

가능한 경우 더 구체적인 이벤트 분류입니다.

calendar_events[].event_type
string 필수

상위 수준 이벤트 분류입니다.

calendar_events[].importance_score
integer 필수

중요도는 1(낮음)에서 3(높음)까지입니다.

calendar_events[].location
string 선택 사항

장소가 알려진 경우 이벤트가 실제로 열리는 장소입니다. 온라인 및 온체인 이벤트에는 없습니다.

calendar_events[].long_term_impact_score
integer 필수

추정 장기 시장 영향으로, 1(낮음)부터 3(높음)까지입니다.

calendar_events[].macro_impact_score
integer 필수

추정 거시경제 영향으로, 1(낮음)부터 3(높음)까지입니다.

calendar_events[].price_impact_score
integer 필수

추정 직접 가격 영향으로, 1(낮음)부터 3(높음)까지입니다.

calendar_events[].short_term_impact_score
integer 필수

추정 단기 시장 영향으로, 1(낮음)부터 3(높음)까지입니다.

calendar_events[].source_count
integer 필수

이벤트를 뒷받침하는 소스 수입니다.

calendar_events[].sources
array<object> 필수

상위 응답을 뒷받침하는 소스 레코드입니다.

calendar_events[].sources[].external_id
string 필수

외부 소스에서 부여한 식별자입니다.

calendar_events[].sources[].provider
string 선택 사항

가능한 경우 업스트림 데이터 제공자입니다.

calendar_events[].sources[].published_at
string (date-time) 필수

UTC 게시 시각입니다.

calendar_events[].sources[].publisher
string 선택 사항

가능한 경우 원래 게시자입니다.

calendar_events[].sources[].source
string 필수

소스 플랫폼 또는 피드입니다.

calendar_events[].sources[].subtype
string 필수

소스 하위 유형입니다.

calendar_events[].sources[].trusted
boolean 필수

소스가 신뢰할 수 있는 것으로 분류되는지 여부입니다.

calendar_events[].sources[].url
string 선택 사항

가능한 경우 공개 소스 URL입니다.

calendar_events[].start_time
string (date-time) 필수

인텔리전스 항목 또는 이벤트가 시작되는 UTC 시각.

calendar_events[].status
string 필수

이벤트의 현재 라이프사이클 상태로, scheduled, tentative, cancelled, postponed 중 하나입니다.

calendar_events[].summary
string 선택 사항

인텔리전스 항목에 대한 근거 기반 요약입니다.

calendar_events[].tags
array<string> 필수

레코드에 첨부된 검색 가능한 레이블입니다.

calendar_events[].tail_risk_impact_score
integer 필수

추정 테일 리스크 영향으로, 1(낮음)부터 3(높음)까지입니다.

calendar_events[].time_precision
string 필수

게시된 이벤트 시각의 정밀도: minute, hour, day, week, month, year 또는 unknown. day 정밀도 이벤트는 해당 일자의 00:00 UTC에 시작합니다.

calendar_events[].title
string 필수

사람이 읽을 수 있는 이벤트 제목.

calendar_events[].trusted_source_count
integer 필수

신뢰할 수 있는 것으로 표시된 출처의 수.

calendar_events[].updated_at
string (date-time) 필수

레코드가 마지막으로 업데이트된 UTC 시각입니다.

{
  "calendar_events": [
    {
      "calendar_event_id": "earnings:nvda:2026-q3",
      "confidence_score": 9,
      "created_at": "2026-08-06T10:00:00Z",
      "domains": [
        "equities",
        "technology"
      ],
      "end_time": "2026-08-20T21:00:00Z",
      "entities": [
        {
          "asset_class": "equity",
          "asset_id": "NVDA",
          "confidence": 0.98,
          "entity_id": "eq:NVDA",
          "is_primary": true,
          "name": "NVIDIA Corporation",
          "role": "affected",
          "subject_id": "text:jensen huang"
        }
      ],
      "event_metadata": {
        "fiscal_quarter": "Q3",
        "fiscal_year": 2026
      },
      "event_subtype": "quarterly_results",
      "event_type": "earnings",
      "importance_score": 3,
      "location": "Santa Clara, California",
      "long_term_impact_score": 2,
      "macro_impact_score": 1,
      "price_impact_score": 3,
      "short_term_impact_score": 3,
      "source_count": 4,
      "sources": [
        {
          "external_id": "0001045810-26-000123",
          "provider": "SEC EDGAR",
          "published_at": "2026-08-07T14:30:00Z",
          "publisher": "NVIDIA Corporation",
          "source": "sec",
          "subtype": "filing",
          "trusted": true,
          "url": "https://www.sec.gov/Archives/edgar/data/1045810/example.htm"
        }
      ],
      "start_time": "2026-08-20T20:00:00Z",
      "status": "scheduled",
      "summary": "Management raised guidance after stronger-than-expected data-centre demand.",
      "tags": [
        "earnings",
        "data_centres"
      ],
      "tail_risk_impact_score": 1,
      "time_precision": "exact",
      "title": "NVIDIA Q3 2026 earnings",
      "trusted_source_count": 3,
      "updated_at": "2026-08-07T14:35:00Z"
    }
  ]
}